%define upstream_name    XML-Checker
%define upstream_version 0.13

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 9

Summary:	XML::Checker - a Perl module for validating XML
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/T/TJ/TJMATHER/%{upstream_name}-%{upstream_version}.tar.bz2
# rt#75526 - carp 1.25 changed its output
Patch0:     XML-Checker-0.13-fix_carp_1.25_output.patch

BuildRequires:	perl-XML-Parser >= 2.30
BuildRequires:	perl-XML-DOM >= 1.29
BuildRequires:	perl-libxml-perl >= 0.07
BuildArch:	noarch

Provides:	perl-libxml-enno
Obsoletes:	perl-libxml-enno

%description
XML::Checker can be used in different ways to validate XML. See the
manual pages of XML::Checker::Parser and XML::DOM::ValParser for more
information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -b .carp

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorlib}/XML/Checker*
%{perl_vendorlib}/XML/DOM/*
%{_mandir}/man3/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.130.0-9pclos2017
- rebuild against updates

